View Issue Details

IDProjectCategoryView StatusLast Update
0000062WolfAdminCommandspublic2019-02-05 11:45
ReporterTimoAssigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000062: Provide basic admin commands
DescriptionAs title says, the commands that are already provided by NoQuarter/Silent are a good starting point.
TagsNo tags attached.
ModN/A
Mod version
Standaloneno

Relationships

related to 0000069 resolvedTimo Provide alternative to shrubbot 
related to 0000093 resolvedTimo Implement launch commands 
child of 0000061 resolvedTimo Standalone mode 

Activities

Timo

2017-01-17 10:23

administrator   ~0000083

Last edited: 2017-02-06 18:18

View 3 revisions

Implemented:
admintest
ban
finger
gib
help
kick
listplayers
lock
mute
nextmap
pause
put
readconfig
reset
restart
setlevel
showbans
shuffle
slap
spec999
swap
time
unban
unlock
unmute
unpause
warn

TODO:
cancelvote
dropweapon
fling
freeze
launch
listteams
passvote
rename
throw
unfreeze
uptime

optional:
disguise
give
news
pip
pop
revive

WA-specific:
balance
cointoss
enablevote
greeting
incognito (experimental)
kickbots
listaliases
listlevels
listmaps (experimental)
needbots
plock
punlock
putbots
resetsprees
rules
showhistory
sprees
stats
vmute
vunmute

Timo

2018-12-31 11:15

administrator   ~0000114

The most common commands should have been added by now. I will create a new issue for the remaining ones.

Related Changesets

WolfAdmin: develop/1.2.0 0d5a4d0a

2016-09-01 16:13:35

Timo

Details Diff
Implemented a first basic set of commands (issue 0000062) Affected Issues
0000062
mod - luascripts/admin/admin.lua Diff File
add - luascripts/commands/admin/admintest.lua Diff File
add - luascripts/commands/admin/finger.lua Diff File
add - luascripts/commands/admin/gib.lua Diff File
mod - luascripts/commands/admin/help.lua Diff File
add - luascripts/commands/admin/kick.lua Diff File
add - luascripts/commands/admin/listplayers.lua Diff File
add - luascripts/commands/admin/nextmap.lua Diff File
add - luascripts/commands/admin/pause.lua Diff File
add - luascripts/commands/admin/put.lua Diff File
add - luascripts/commands/admin/restart.lua Diff File
add - luascripts/commands/admin/slap.lua Diff File
add - luascripts/commands/admin/time.lua Diff File
add - luascripts/commands/admin/unpause.lua Diff File
add - luascripts/game/fireteams.lua Diff File

WolfAdmin: develop/1.2.0 f9b73ed8

2016-09-01 18:05:38

Timo

Details Diff
Added some more match/team management commands (issue 0000062) Affected Issues
0000062
add - luascripts/commands/admin/reset.lua Diff File
add - luascripts/commands/admin/swap.lua Diff File

WolfAdmin: develop/1.2.0 e745fe4c

2016-09-04 22:28:57

Timo

Details Diff
Implemented setting player level (issue 0000061, 0000062) Affected Issues
0000061, 0000062
mod - luascripts/admin/admin.lua Diff File
mod - luascripts/commands/admin/setlevel.lua Diff File
mod - luascripts/db/mysql.lua Diff File
mod - luascripts/db/sqlite3.lua Diff File

WolfAdmin: develop/1.2.0 3252c6a5

2017-01-14 14:30:39

Timo

Details Diff
Implemented team locking (issue 0000062) Affected Issues
0000062
mod - luascripts/admin/admin.lua Diff File
mod - luascripts/commands/admin/lock.lua Diff File
mod - luascripts/commands/admin/unlock.lua Diff File
mod - luascripts/commands/commands.lua Diff File
mod - luascripts/game/teams.lua Diff File
mod - luascripts/util/constants.lua Diff File
mod - luascripts/util/util.lua Diff File

WolfAdmin: develop/1.2.0 702ed274

2017-01-20 19:53:55

Timo

Details Diff
Added acl command for server console (refs 0000062, 0000069) Affected Issues
0000062, 0000069
mod - luamods/wolfadmin/auth/acl.lua Diff File
add - luamods/wolfadmin/commands/server/acl.lua Diff File
mod - luamods/wolfadmin/db/sqlite3.lua Diff File

WolfAdmin: develop/1.2.0 449e6c85

2017-01-21 14:29:29

Timo

Details Diff
Fixed minor issues on several commands

* gib now by correct attacker (world entity)
* listlevels should not read shrubbot in standalone mode
Affected Issues
0000062
mod - luamods/wolfadmin/commands/admin/gib.lua Diff File
mod - luamods/wolfadmin/commands/admin/listlevels.lua Diff File

WolfAdmin: develop/1.2.0 7e5c0094

2017-01-21 16:06:25

Timo

Details Diff
Updated SQLite script with more levels and roles (refs 0000062, 0000069)

* also added transactions to improve performance
Affected Issues
0000062, 0000069
mod - database/new/wolfadmin_sqlite.sql Diff File
mod - luamods/wolfadmin/auth/auth.lua Diff File
mod - luamods/wolfadmin/auth/shrubbot.lua Diff File

WolfAdmin: develop/1.2.0 9fdd36e7

2017-01-21 17:11:32

Timo

Details Diff
Reworked some commands to disable them when in standalone mode (refs 0000061, 0000062) Affected Issues
0000061, 0000062
mod - luamods/wolfadmin/commands/admin/admintest.lua Diff File
mod - luamods/wolfadmin/commands/admin/ban.lua Diff File
mod - luamods/wolfadmin/commands/admin/finger.lua Diff File
mod - luamods/wolfadmin/commands/admin/gib.lua Diff File
mod - luamods/wolfadmin/commands/admin/help.lua Diff File
mod - luamods/wolfadmin/commands/admin/kick.lua Diff File
mod - luamods/wolfadmin/commands/admin/listaliases.lua Diff File
mod - luamods/wolfadmin/commands/admin/listplayers.lua Diff File
mod - luamods/wolfadmin/commands/admin/lock.lua Diff File
mod - luamods/wolfadmin/commands/admin/mute.lua Diff File
mod - luamods/wolfadmin/commands/admin/nextmap.lua Diff File
mod - luamods/wolfadmin/commands/admin/pause.lua Diff File
mod - luamods/wolfadmin/commands/admin/put.lua Diff File
mod - luamods/wolfadmin/commands/admin/readconfig.lua Diff File
mod - luamods/wolfadmin/commands/admin/reset.lua Diff File
mod - luamods/wolfadmin/commands/admin/restart.lua Diff File
mod - luamods/wolfadmin/commands/admin/setlevel.lua Diff File
mod - luamods/wolfadmin/commands/admin/showbans.lua Diff File
mod - luamods/wolfadmin/commands/admin/showhistory.lua Diff File
mod - luamods/wolfadmin/commands/admin/shuffle.lua Diff File
mod - luamods/wolfadmin/commands/admin/slap.lua Diff File
mod - luamods/wolfadmin/commands/admin/swap.lua Diff File
mod - luamods/wolfadmin/commands/admin/time.lua Diff File
mod - luamods/wolfadmin/commands/admin/unban.lua Diff File
mod - luamods/wolfadmin/commands/admin/unlock.lua Diff File
mod - luamods/wolfadmin/commands/admin/unmute.lua Diff File
mod - luamods/wolfadmin/commands/admin/unpause.lua Diff File
mod - luamods/wolfadmin/commands/admin/warn.lua Diff File
mod - luamods/wolfadmin/commands/client/say.lua Diff File
mod - luamods/wolfadmin/commands/client/team.lua Diff File
mod - luamods/wolfadmin/commands/commands.lua Diff File
mod - luamods/wolfadmin/commands/server/acl.lua Diff File

WolfAdmin: develop/1.2.0 ad7b7c64

2017-01-26 19:16:40

Timo

Details Diff
Commands now make use of lua's ellipsis instead of cmdArguments (refs 0000062) Affected Issues
0000062
mod - luamods/wolfadmin/commands/admin/admintest.lua Diff File
mod - luamods/wolfadmin/commands/admin/balance.lua Diff File
mod - luamods/wolfadmin/commands/admin/ban.lua Diff File
mod - luamods/wolfadmin/commands/admin/enablevote.lua Diff File
mod - luamods/wolfadmin/commands/admin/finger.lua Diff File
mod - luamods/wolfadmin/commands/admin/gib.lua Diff File
mod - luamods/wolfadmin/commands/admin/greeting.lua Diff File
mod - luamods/wolfadmin/commands/admin/help.lua Diff File
mod - luamods/wolfadmin/commands/admin/incognito.lua Diff File
mod - luamods/wolfadmin/commands/admin/kick.lua Diff File
mod - luamods/wolfadmin/commands/admin/kickbots.lua Diff File
mod - luamods/wolfadmin/commands/admin/listaliases.lua Diff File
mod - luamods/wolfadmin/commands/admin/listlevels.lua Diff File
mod - luamods/wolfadmin/commands/admin/listmaps.lua Diff File
mod - luamods/wolfadmin/commands/admin/listplayers.lua Diff File
mod - luamods/wolfadmin/commands/admin/lock.lua Diff File
mod - luamods/wolfadmin/commands/admin/mute.lua Diff File
mod - luamods/wolfadmin/commands/admin/needbots.lua Diff File
mod - luamods/wolfadmin/commands/admin/nextmap.lua Diff File
mod - luamods/wolfadmin/commands/admin/pause.lua Diff File
mod - luamods/wolfadmin/commands/admin/plock.lua Diff File
mod - luamods/wolfadmin/commands/admin/punlock.lua Diff File
mod - luamods/wolfadmin/commands/admin/put.lua Diff File
mod - luamods/wolfadmin/commands/admin/putbots.lua Diff File
mod - luamods/wolfadmin/commands/admin/readconfig.lua Diff File
mod - luamods/wolfadmin/commands/admin/reset.lua Diff File
mod - luamods/wolfadmin/commands/admin/resetsprees.lua Diff File
mod - luamods/wolfadmin/commands/admin/restart.lua Diff File
mod - luamods/wolfadmin/commands/admin/rules.lua Diff File
mod - luamods/wolfadmin/commands/admin/setlevel.lua Diff File
mod - luamods/wolfadmin/commands/admin/showbans.lua Diff File
mod - luamods/wolfadmin/commands/admin/showhistory.lua Diff File
mod - luamods/wolfadmin/commands/admin/shuffle.lua Diff File
mod - luamods/wolfadmin/commands/admin/slap.lua Diff File
mod - luamods/wolfadmin/commands/admin/sprees.lua Diff File
mod - luamods/wolfadmin/commands/admin/stats.lua Diff File
mod - luamods/wolfadmin/commands/admin/swap.lua Diff File
mod - luamods/wolfadmin/commands/admin/time.lua Diff File
mod - luamods/wolfadmin/commands/admin/unban.lua Diff File
mod - luamods/wolfadmin/commands/admin/unlock.lua Diff File
mod - luamods/wolfadmin/commands/admin/unmute.lua Diff File
mod - luamods/wolfadmin/commands/admin/unpause.lua Diff File
mod - luamods/wolfadmin/commands/admin/vmute.lua Diff File
mod - luamods/wolfadmin/commands/admin/vunmute.lua Diff File
mod - luamods/wolfadmin/commands/admin/warn.lua Diff File
mod - luamods/wolfadmin/commands/client/ac.lua Diff File
mod - luamods/wolfadmin/commands/client/callvote.lua Diff File
mod - luamods/wolfadmin/commands/client/pm.lua Diff File
mod - luamods/wolfadmin/commands/client/r.lua Diff File
mod - luamods/wolfadmin/commands/client/say.lua Diff File
mod - luamods/wolfadmin/commands/client/team.lua Diff File
mod - luamods/wolfadmin/commands/client/wolfadmin.lua Diff File
mod - luamods/wolfadmin/commands/commands.lua Diff File
mod - luamods/wolfadmin/commands/server/acl.lua Diff File
mod - luamods/wolfadmin/commands/server/cannounce.lua Diff File
mod - luamods/wolfadmin/commands/server/cchat.lua Diff File
mod - luamods/wolfadmin/commands/server/ccp.lua Diff File
mod - luamods/wolfadmin/commands/server/ccpm.lua Diff File
mod - luamods/wolfadmin/commands/server/cmusic.lua Diff File
mod - luamods/wolfadmin/commands/server/csay.lua Diff File
mod - luamods/wolfadmin/util/tables.lua Diff File

WolfAdmin: develop/1.2.0 b81894db

2017-02-06 17:50:44

Timo

Details Diff
Added more info to !finger and readconfig on standalone (refs 0000062) Affected Issues
0000062
mod - luamods/wolfadmin/commands/admin/finger.lua Diff File
mod - luamods/wolfadmin/commands/admin/readconfig.lua Diff File
mod - luamods/wolfadmin/players/players.lua Diff File

WolfAdmin: develop/1.2.0 e3345faa

2017-02-06 17:51:10

Timo

Details Diff
Added sound to !warn command (refs 0000062) Affected Issues
0000062
mod - luamods/wolfadmin/commands/admin/warn.lua Diff File

WolfAdmin: develop/1.2.0 e473bae2

2017-02-06 18:10:39

Timo

Details Diff
Added !spec999 and !cointoss command (refs 0000062) Affected Issues
0000062
mod - luamods/wolfadmin/auth/auth.lua Diff File
mod - luamods/wolfadmin/auth/shrubbot.lua Diff File
add - luamods/wolfadmin/commands/admin/cointoss.lua Diff File
add - luamods/wolfadmin/commands/admin/spec999.lua Diff File
mod - luamods/wolfadmin/commands/commands.lua Diff File

WolfAdmin: develop/1.2.0 de27a417

2018-02-16 12:20:23

Timo

Details Diff
Fixed shrubbot flags for other mods (refs 0000046, 0000069, 0000062)

* changed !greeting flag from 'Q' to 'j' to maintain consistency across mods
* changed !cointoss flag to 'Z' so we do not take up another flag
* moved flags to separate files for each mod that includes shrubbot, autoloads on game init
Affected Issues
0000046, 0000062, 0000069
mod - luamods/wolfadmin/auth/auth.lua Diff File
mod - luamods/wolfadmin/auth/shrubbot.lua Diff File
add - luamods/wolfadmin/auth/shrubbot/etpub.lua Diff File
add - luamods/wolfadmin/auth/shrubbot/nq.lua Diff File
add - luamods/wolfadmin/auth/shrubbot/silent.lua Diff File

WolfAdmin: develop/1.2.0 53e31020

2018-12-31 11:04:38

Timo

Details Diff
Fixed incognito command for standalone mode (refs 0000062) Affected Issues
0000062
mod - luamods/wolfadmin/commands/admin/incognito.lua Diff File

WolfAdmin: develop/1.2.0 78139e6e

2018-12-31 11:15:38

Timo

Details Diff
Fixed !listmaps not producing any output (refs 0000062) Affected Issues
0000062
mod - luamods/wolfadmin/commands/admin/listmaps.lua Diff File

WolfAdmin: develop/1.2.0 b8688d7f

2018-12-31 11:17:26

Timo

Details Diff
Fixed !listplayers taking PERM_INCOGNITO into account (refs 0000062, 0000069) Affected Issues
0000062, 0000069
mod - luamods/wolfadmin/commands/admin/listplayers.lua Diff File

WolfAdmin: develop/1.3.0 e3fe342f

2019-01-22 14:25:13

Timo

Details Diff
Implemented !throw, !launch and !fling (refs 0000062) Affected Issues
0000062, 0000093
add - luascripts/wolfadmin/commands/admin/fling.lua Diff File
add - luascripts/wolfadmin/commands/admin/launch.lua Diff File
add - luascripts/wolfadmin/commands/admin/throw.lua Diff File
mod - luascripts/wolfadmin/main.lua Diff File
add - luascripts/wolfadmin/util/vectors.lua Diff File

WolfAdmin: develop/1.2.1 17286223

2019-02-04 13:16:07

Timo

Details Diff
Added !news command Affected Issues
0000062
add - luascripts/wolfadmin/commands/admin/news.lua Diff File

WolfAdmin: develop/1.2.1 d35ed96d

2019-02-05 11:51:12

Timo

Details Diff
Implemented !rename (refs 0000062) Affected Issues
0000062
add - luascripts/wolfadmin/commands/admin/rename.lua Diff File

Issue History

Date Modified Username Field Change
2016-08-28 18:32 Timo New Issue
2016-08-28 18:33 Timo Relationship added child of 0000061
2016-08-29 22:54 Timo Assigned To => Timo
2016-08-29 22:54 Timo Status new => assigned
2017-01-13 18:58 Timo Relationship added related to 0000069
2017-01-17 10:23 Timo Note Added: 0000083
2017-01-20 19:54 Timo Changeset attached => WolfAdmin develop 702ed274
2017-01-21 14:48 Timo Note Edited: 0000083 View Revisions
2017-01-21 14:48 Timo Changeset attached => WolfAdmin develop 449e6c85
2017-01-21 16:15 Timo Changeset attached => WolfAdmin develop/1.2.0 7e5c0094
2017-01-21 17:11 Timo Changeset attached => WolfAdmin develop 9fdd36e7
2017-01-26 19:17 Timo Changeset attached => WolfAdmin develop ad7b7c64
2017-02-06 18:11 Timo Changeset attached => WolfAdmin develop b81894db
2017-02-06 18:11 Timo Changeset attached => WolfAdmin develop e3345faa
2017-02-06 18:11 Timo Changeset attached => WolfAdmin develop e473bae2
2017-02-06 18:18 Timo Note Edited: 0000083 View Revisions
2018-02-16 12:20 Timo Changeset attached => WolfAdmin develop/1.2.0 de27a417
2018-12-31 11:01 Changeset attached => WolfAdmin develop/1.2.0 53e31020
2018-12-31 11:13 Changeset attached => WolfAdmin develop/1.2.0 78139e6e
2018-12-31 11:13 Changeset attached => WolfAdmin develop/1.2.0 b8688d7f
2018-12-31 11:15 Timo Status assigned => resolved
2018-12-31 11:15 Timo Resolution open => fixed
2018-12-31 11:15 Timo Fixed in Version => 1.2.0
2018-12-31 11:15 Timo Note Added: 0000114
2019-01-22 14:20 Timo Changeset attached => WolfAdmin develop/1.3.0 e3fe342f
2019-01-22 15:06 Timo Relationship added related to 0000093
2019-02-05 11:45 Timo Changeset attached => WolfAdmin develop/1.2.1 d35ed96d
2019-02-05 11:45 Timo Changeset attached => WolfAdmin develop/1.2.1 17286223